
GammaLib - Feature #536

Add HESS instrument response functions

10/10/2012 10:55 AM - Deil Christoph

Status: Closed Start date: 10/10/2012

Priority: Normal Due date:  

Assigned To: Deil Christoph % Done: 80%

Category:  Estimated time: 16.00 hours

Target version:    

Description

At the moment gammalib has interfaces to the Fermi LAT and (very preliminary) CTA instrument response functions.

To be able to analyze HESS data with gammalib / ctools, we should

A) Create a HESS CALDB by converting the existing HESS IRF (tons of ROOT histograms) to FITS format and creating an index.

B) Implement lookup / interpolation classes to access the HESS IRFs.

C) Add unit and high-level tests, and some examples and documentation.

I'll create these three sub-tasks for this issues. Please let me know if I missed something.

Subtasks:

Action # 569: Add acceptance reader New

Action # 538: Add HESS instrument classes Rejected

Action # 539: HESS instrument response tests / examples / documentation. Closed

Action # 537: Convert HESS IRFs to FITS format and create a CALDB index Closed

Action # 568: Make sure that GammaLib can read response table format Closed

History

#1 - 10/10/2012 08:48 PM - Knödlseder Jürgen

- Target version set to HESS sprint #1

#2 - 10/10/2012 10:29 PM - Knödlseder Jürgen

Sounds complete so far.

#3 - 11/03/2013 02:09 AM - Knödlseder Jürgen

- Target version deleted (HESS sprint #1)

#4 - 06/21/2016 10:21 PM - Knödlseder Jürgen

- Status changed from New to Closed
